Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 910 - Install locks up during XFree86 probing on S3 Virge/VX
Summary: Install locks up during XFree86 probing on S3 Virge/VX
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-21 18:41 UTC by frankm
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-22 20:43:18 UTC


Attachments (Terms of Use)

Description frankm 1999-01-21 18:41:13 UTC
The xf86config utility warns the user not to do
any probing when using the S3 Virge/VX chipset.

Unfortunately, the RH 5.2 install does the probing anyways,
and locks the machine up solidly (only hitting the
Reset buttons works). I had to install XFree86
manually from the RPMs.

If possible, use the database of "cards not to
probe" in the RH installer, and/or give the user
an option NOT to probe. (Currently there is only
an "OK" button in the box in the install screen.)

Or, perhaps, as you do with giving the user a
choice between running Disk Druid or fdisk, how
about an option to run either xf86config, XF86Setup,
or the RedHat X setup programs? That seems like the
simplest fix to me.

Comment 1 David Lawrence 1999-01-22 20:43:59 UTC
This was originally done because a lot of the S3V drivers were rolled
over into the SVGA server instead of the S3V server like before. We
have noticed that this arrangement does not work properly for all S3V
cards. To circumvent this problem you choose expert mode when you
first start the install. This will allow you to choose the S3V server
instead of SVGA being chosen for you. We are working to make the
configuration better in our next release.


Note You need to log in before you can comment on or make changes to this bug.